package com.eactive.eai.agent.c2rservice;

import com.eactive.eai.agent.command.Command;
import com.eactive.eai.agent.command.CommandException;
import com.eactive.eai.common.c2rservice.C2RServiceManager;
import com.eactive.eai.common.util.Logger;

public class RemoveC2RServiceCommand extends Command {

	private static final long serialVersionUID = 1L;

	public RemoveC2RServiceCommand() {
		super("RemoveC2RServiceCommand");
	}

	public Object execute() throws CommandException {
		Logger logger = Logger.getLogger(Logger.LOGGER_DEFAULT);
		if (logger.isInfo())
			logger.info(this.name + " is executed");

		if (!(args instanceof String)) {
			String rspErrorCode = "RECEAIMCM001";
			String msg = makeException(rspErrorCode, null);
			if (logger.isError())
				logger.error(msg);
			throw new CommandException(msg);
		}

		String key = null;
		C2RServiceManager manager = C2RServiceManager.getInstance();

		try {
			key = (String) args;
			if (key != null) {
				manager.removeC2RServiceVO(key);
			}
		} catch (Exception e) {
			String rspErrorCode = "RECEAIMCM002";
			String msg = makeException(rspErrorCode, e);
			if (logger.isError())
				logger.error(msg, e);
			throw new CommandException(msg);
		}
		return "success";

	}

}
